Subject: [[email-masked]: Re: FVWM: icons in menu-labels]

From: [email-masked] (Albrecht Kadlec)
Date: Fri, 21 Jun 96 17:27:36 +0200

oh chuck, just to remind you to include the following patch:
albrecht

From: John Williams <[email-masked]>
On Sat, 15 Jun 1996, Julien Maillard wrote:
> 1) I noticed that when using:
> "Calculator%xcalc.xpm%"
> the text to the right of the icon in not centered vertically with
> respect to the icon height... this shows up when the icon is taller
> than the font used... would it be easy to make them centered? I know
> this really *is* a detail... just wondering!

I sent a patch for this to the list last month.  
Here's the message again:

Date: Thu, 9 May 1996 16:31:17 -0600 (MDT)
From: John Williams <[email-masked]>
To: fvwm <[email-masked]>
Subject: Patch to vertically center menu text

One of the items on the fvwm2-TO.DO list is:

  - Make left justified pixmaps in menus center align vertically w/
    any text displayed?

It seems that small pixmaps are already centered with larger text, but
text is not centered with larger pixmaps.
So here is a small patch to fix the vertical alignment.

John Williams

--- 1.1 1996/05/09 21:41:26
+++ menus.c     1996/05/09 22:06:27
@@ -179,6 +179,14 @@
   text_y = y_offset + Scr.StdFont.y;
   if(mi->picture)
     text_y+=mi->picture->height;
+  if (mi->lpicture)
+  {
+    y = mi->lpicture->height - Scr.StdFont.height;
+    if (y>1)
+      text_y += y>>1;
+  }    
 
   ShadowGC = Scr.MenuShadowGC;
   if(Scr.d_depth<2)

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

-- 
Another Holiday Inn, another temporary home,
  and an interviewer threatening me with a microphone,
  'Talk to me, won't you tell me your stories.'
So I talked about conscience and I talked about pain,
  and he looked out of the window and it started to rain,
  and I thought maybe I've already gone crazy.
So I reached for the bottle and he reached for the door,
  and I picked up the sleeping pills crushed on the floor.
  Inviting me to casual obscenity.			-- Marillion
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].